Skip to main content
GET
Get Playbook
Fetch a single playbook configuration and run stats. Requires the sequences:read scope on the API key.

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Path Parameters

playbook_id
string<uuid>
required

ID of the playbook.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier of the playbook.

name
string
required

Name of the playbook.

status
enum<string>
required

Lifecycle status of the playbook.

Available options:
DRAFT,
ENABLED,
PAUSED
trigger_type
enum<string>
required

How the playbook is triggered.

Available options:
SIGNAL,
SCHEDULE,
EVENT,
INBOUND_REPLY,
MANUAL,
CSV,
LEAD_IMPORT_COMPLETED,
ACTIVITY
run_stats
PlaybookRunStatsPublicOutput · object | null

Execution statistics over the last 7 days, included when loading a single playbook.